Namespace: webdriver.testing
View Source

# class Assertion

Utility for performing assertions against a given `value`. If the value is a `webdriver.promise.Promise`, this assertion will wait for it to resolve before applying any matchers.

### new Assertion(value)

Parameters

value`*`

  The value to wrap and apply matchers to.

## Instance Methods

### apply(matcher, opt_message)code »

Asserts that the given `matcher` accepts the value wrapped by this instance. If the wrapped value is a promise, this function will defer applying the assertion until the value has been resolved. Otherwise, it will be applied immediately.

Parameters

matcher`goog.labs.testing.Matcher`

  The matcher to apply

opt_message`string=`

  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

`webdriver.promise.Promise`

  The deferred assertion result, or `null` if the assertion was immediately applied.

### closeTo(value, range, opt_message)code »

Asserts that the wrapped value is a number within a given distance of an expected value.

Parameters

value`number`

  The expected value.

range`number`

  The maximum amount the actual value is permitted to differ from the expected value.

opt_message`string=`

  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

`webdriver.promise.Promise`

  The assertion result.

### contains(value, opt_message)code »

Asserts that the wrapped value is a string or array-like structure containing the given value.

Parameters

value`*`

  The expected value.

opt_message`string=`

  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

`webdriver.promise.Promise`

  The assertion result.

### endsWith(suffix, opt_message)code »

Asserts that the wrapped value is a string ending with the given suffix.

Parameters

suffix`string`

  The expected suffix.

opt_message`string=`

  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

`webdriver.promise.Promise`

  The assertion result.

### equalTo(value, opt_message)code »

Asserts that the value managed by this assertion is strictly equal to the given `value`.

Parameters

value`*`

  The expected value.

opt_message`string=`

  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

`webdriver.promise.Promise`

  The assertion result.

### greaterThan(value, opt_message)code »

Asserts that the value managed by this assertion is a number strictly greater than `value`.

Parameters

value`number`

  The minimum value.

opt_message`string=`

  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

`webdriver.promise.Promise`

  The assertion result.

### greaterThanEqualTo(value, opt_message)code »

Asserts that the value managed by this assertion is a number >= the given value.

Parameters

value`number`

  The minimum value.

opt_message`string=`

  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

`webdriver.promise.Promise`

  The assertion result.

### instanceOf(ctor, opt_message)code »

Asserts that the wrapped value is an instance of the given class.

Parameters

ctor`Function`

  The expected class constructor.

opt_message`string=`

  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

`webdriver.promise.Promise`

  The assertion result.

### isFalse()code »

Asserts that the value managed by this assertion is strictly false.

Returns

`webdriver.promise.Promise`

  The assertion result.

### isNull(opt_message)code »

Asserts that the wrapped value is null.

Parameters

opt_message`string=`

  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

`webdriver.promise.Promise`

  The assertion result.

### isNullOrUndefined(opt_message)code »

Asserts that the wrapped value is null or undefined.

Parameters

opt_message`string=`

  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

`webdriver.promise.Promise`

  The assertion result.

### isTrue()code »

Asserts that the value managed by this assertion is strictly true.

Returns

`webdriver.promise.Promise`

  The assertion result.

### isUndefined(opt_message)code »

Asserts that the wrapped value is undefined.

Parameters

opt_message`string=`

  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

`webdriver.promise.Promise`

  The assertion result.

### lessThan(value, opt_message)code »

Asserts that the value managed by this assertion is a number strictly less than the given value.

Parameters

value`number`

  The maximum value.

opt_message`string=`

  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

`webdriver.promise.Promise`

  The assertion result.

### lessThanEqualTo(value, opt_message)code »

Asserts that the value managed by this assertion is a number <= the given value.

Parameters

value`number`

  The maximum value.

opt_message`string=`

  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

`webdriver.promise.Promise`

  The assertion result.

### matches(regex, opt_message)code »

Asserts that the wrapped value is a string that matches the given RegExp.

Parameters

regex`RegExp`

  The regex to test.

opt_message`string=`

  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

`webdriver.promise.Promise`

  The assertion result.

### startsWith(prefix, opt_message)code »

Asserts that the wrapped value is a string starting with the given prefix.

Parameters

prefix`string`

  The expected prefix.

opt_message`string=`

  A message to include if the matcher does not accept the value wrapped by this assertion.

Returns

`webdriver.promise.Promise`

  The assertion result.

## Instance Properties

is `webdriver.testing.Assertion`

  A self reference provided for writing fluent assertions: webdriver.testing.assert(x).is.equalTo(y);

not `webdriver.testing.NegatedAssertion`

  Negates any matchers applied to this instance's value: webdriver.testing.assert(x).not.equalTo(y);

## Types

Assertion.DelegatingMatcher_

  Wraps an object literal implementing the Matcher interface.